# Yahoo! UI Library

### yuitest 2.8.0r4

Yahoo! UI Library > yuitest > YAHOO.util.ShouldFail
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.ShouldFail - extends YAHOO.util.AssertionError

ShouldFail is subclass of AssertionError that is thrown whenever a test was expected to fail but did not.

### Constructor

YAHOO.util.ShouldFail `( message )`

Parameters:
  `message <String>` The message to display when the error occurs.

### Properties

#### name - `String`

The name of the error that occurred.

#### Properties inherited from YAHOO.util.AssertionError:

`name`

#### Methods inherited from YAHOO.util.AssertionError:

`getMessage, toString`

Copyright © 2009 Yahoo! Inc. All rights reserved.